type: object
properties:
  reference:
    type: string
  senderAddress:
    $ref: './Address.yaml'
  billingAddress:
    $ref: './Address.yaml'
  shippingAddress:
    $ref: './Address.yaml'
  items:
    type: array
    items:
      type: object
      properties:
        name:
          type: string
        quantity:
          type: integer
      required:
        - name
        - quantity


required:
  - reference
  - senderAddress
  - shippingAddress
  - items

